using System;
using System.Collections.Generic;
using System.Text;
using System.Resources;
using System.Reflection;

using ClassBuilderWizard.Interfaces;

namespace ClassBuilderWizard
{
    internal class ScriptBuilder
    {
        private DatabaseObject _DbObject;
        private Parameters _Parameters;

        public ScriptBuilder(DatabaseObject dbo, Parameters pars)
        {
            this._DbObject = dbo;
            this._Parameters = pars;
        }

        public string GetScriptBody()
        {
            string result = this._DbObject.ScriptTemplate.Replace("[!output SQL_SCRIPT]", this._DbObject.ScriptDefinition);
            
            return result;
        }
    }
}
